#############################
# mod_proxy_fcgi
#   official solution
#   apache 2.4 and later
#############################

<IfModule mod_proxy_fcgi.c>
  <Proxy fcgi://%WEB_PHP_SOCKET% disablereuse=On>
    ProxySet connectiontimeout=5 timeout=600
  </Proxy>

  <FilesMatch \.php$>
      SetHandler "proxy:fcgi://%WEB_PHP_SOCKET%"
  </FilesMatch>
</IfModule>

#############################
# mod_fastcgi
# apache 2.2 and 2.4
#############################

<IfModule fastcgi_module>
  AddHandler php-fcgi .php
  Action php-fcgi /php-fcgi
  Alias /php-fcgi /usr/lib/cgi-bin/php-fcgi
  FastCgiExternalServer /usr/lib/cgi-bin/php-fcgi -host "%WEB_PHP_SOCKET%" -pass-header Authorization -idle-timeout 600

  <Directory /usr/lib/cgi-bin>
    <IfVersion < 2.4>
        Allow from all
    </IfVersion>
    <IfVersion >= 2.4>
        Require all granted
    </IfVersion>
  </Directory>
</IfModule>